function [ ] = close()
%CLOSEREQ Cleans up all variables that are used by the editTimeOfArrival GUI.
%   Changes to the data is not being modified.

global artoaGui artoaWorkspace;

%% Close the figure

try
    delete(artoaGui.figures.editTimeOfArrival);
catch
    delete(gcf);
end

%% Clean up variables

try
    artoaGui = rmfield(artoaGui, 'editTimeOfArrival');
catch
end
try
    artoaGui.figures = rmfield(artoaGui.figures, 'editTimeOfArrival');
catch
end
try
    artoaWorkspace = rmfield(artoaWorkspace, 'editTimeOfArrival');
catch
end

end

